<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 2</H1>

<P>
Numero du papier: 02

<P>Nom du papier et auteurs:
 Typage des Coroutines en Logique Soustractive
<P> Tristan Crolard

<H2>1</H2>

<P>

Nom du rapporteur: Roberto Di Cosmo

<P>Confiance en la note: 2
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: 3
<P> (1: a rejeter; 2: ininteressant; 3: acceptable;
<P>  4: bon papier; 5: tres bon papier)

<P>Commentaires aux auteurs:

<P>Ce papier presente  une interessante interpretation calculatoire de  l'operateur
de "soustraction logique", defini par dualite a partir de l'implication. Dans le
papier,  on  defini d'abord  une deduction    naturelle satisfaisante  pour  cet
operateur et on introduit une  restriction "intuitionniste" sur les derivations,
ce qui prend quand meme la moitie du papier. Ensuite,  on montre comment definir
un sous-calcul  du  lambda-mu calcul   qui  est stable   par reduction  et   qui
corresponde    exactement (a    la  Curry-Howard)  a   la  deduction   naturelle
"soustractive" definie auparavant.

<P>Cependant, je suis tres insatisfait de  la presentation des  resultats en vue du
public de JFLA.  La discussion  sur la derivation  des regles de la soustraction
est tres detaillee et  pedagogique (et j'ai  eu beaucoup de  plaisir a la lire),
mais elle apporte finalement tres peu a un auditeur n'ayant  pas de bonnes bases
de logique. De meme, la discussion sur  les restrictions a  imposer au lambda mu
calcul  pour  obtenir  un  systeme  ferme   par reduction    qui colle  avec  la
presentation logique  est  donnee  de fac,on  assez  detaillee,  mais ell'est  a
nouveau hors de portee d'un lecteur moyen.  Je regrette sincerement que l'auteur
n'aie pas choisi  de reduire considerablement ces  deux  sections, pourtant tres
interessantes du point de vue de la theorie de la  preuve, pour degager l'espace
necessaire a expliquer au lecteur pourquoi le formalisme logique et calculatoire
ici presente est  un bon modele pour  les coroutines: il  n'y a meme pas un seul
exemple   simple  a cet  effet,   et  cela  le  rende probablement difficilement
accessible au public du JFLA.

<P>C'est pour cela que, a mon grand regret, je ne peux donner plus de 3.

<P>Commentaires reserves au comite de programme:


<H2>2</H2>

<P>

</BODY>
</HTML>
